//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "nrclasses.hpp"
#include "nrcomm.hpp"
#include "nrcommbox.hpp"
#include "nrlogfile.hpp"
#include "nrzmodem.hpp"
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <Dialogs.hpp>
#include "nrsemaphore.hpp"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TStatusBar *StatusBar1;
    TPanel *Panel1;
    TLabel *Label1;
    TMemo *Memo1;
    TLabel *Label2;
    TMemo *Memo2;
    TnrComm *nrComm1;
    TnrDeviceBox *nrDeviceBox1;
    TnrLogFile *nrLogFile1;
    TLabel *Label3;
    TnrZModem *nrZModem1;
    TGroupBox *GroupBox1;
    TProgressBar *ProgressBar1;
    TLabel *Label4;
    TLabel *Label5;
    TEdit *Edit1;
    TLabel *Label6;
    TButton *Button1;
    TOpenDialog *OpenDialog1;
    TCheckBox *chkReceive;
    TCheckBox *chkActive;
    TButton *bSend;
    TButton *bBreak;
    TButton *Button2;
    TImageList *ImageList1;
    TnrSemaphore *nrSemaphore1;
    TnrSemaphore *nrSemaphore2;
    TnrSemaphore *nrSemaphore3;
    TnrSemaphore *nrSemaphore4;
    void __fastcall Button1Click(TObject *Sender);
    void __fastcall Button2Click(TObject *Sender);
    void __fastcall chkActiveClick(TObject *Sender);
    void __fastcall FormShow(TObject *Sender);
    void __fastcall chkReceiveClick(TObject *Sender);
    void __fastcall bSendClick(TObject *Sender);
    void __fastcall bBreakClick(TObject *Sender);
    void __fastcall nrZModem1BeforeReceived(TObject *Sender,
          AnsiString &FileName, bool &flSkip);
    void __fastcall nrZModem1AfterFileSend(TObject *Sender,
          AnsiString FileName, bool flComplete);
    void __fastcall nrZModem1SuccessfulEnd(TObject *Sender);
    void __fastcall nrZModem1Abort(TObject *Sender, TzAbortType Error);
    void __fastcall nrZModem1Progress(TObject *Sender);
    
private:	// User declarations
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
